Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api
Interface UserSessionManager

All Known Subinterfaces:
  HttpUserSessionManager

    public interface UserSessionManager

Interface `UserSessionManager` manages the user sessions.

Method Summary
`java.util.Vector` | `getAllUserSessions()` Gets all valid user sessions.
`int` | `getDefaultMaxInactiveInterval()` Gets all user session's default maximum inactive interval time (in milliseconds).
`long` | `getLastLoginTime(java.lang.String user)` Gets last login time of a specific user.
`UserSession` | `getUserSession(java.lang.String usID)` Gets a `UserSession` according to the specified user session's ID.
`UserSession` | `login(java.lang.String realm, java.lang.String userID, java.lang.String password)` This method will be invoked when a user tries to login to Monitor Server for the first time.
`void` | `setDefaultMaxInactiveInterval(int interval)` Sets all user session's default maximum inactive interval time (in milliseconds).

Method Detail

### getAllUserSessions

    java.util.Vector getAllUserSessions()

  Gets all valid user sessions.

  Returns:
    All valid user sessions.

### getUserSession

    UserSession getUserSession(java.lang.String usID)

  Gets a `UserSession` according to the specified user session's ID.

  Parameters:
    `usID` - The session ID.
  Returns:
    The `UserSession`.

### setDefaultMaxInactiveInterval

    void setDefaultMaxInactiveInterval(int interval)

  Sets all user session's default maximum inactive interval time (in milliseconds).

  Parameters:
    `interval` - The default maximum inactive interval time of all user sessions.

### getDefaultMaxInactiveInterval

    int getDefaultMaxInactiveInterval()

  Gets all user session's default maximum inactive interval time (in milliseconds).

  Returns:
    The default maximum inactive interval time of all user sessions.

### login

    UserSession login(java.lang.String realm,
                      java.lang.String userID,
                      java.lang.String password)

  This method will be invoked when a user tries to login to Monitor Server for the first time.

  Parameters:
    `realm` - The realm.
    `userID` - The user ID.
    `password` - The password.
  Returns:
    The valid `UserSession`.

### getLastLoginTime

    long getLastLoginTime(java.lang.String user)

  Gets last login time of a specific user.

  Parameters:
    `user` - the user ID.
  Returns:
    the last login time of the specific user.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD